https://pantsbuild.org/ logo
#development
Title
# development
s

shy-advantage-49800

02/02/2022, 11:05 PM
Hi guys 👋 Would you mind releasing
pants-jupyter-plugin
with Python 3.10? 🙏 Assuming that only the version change is needed, if it's more than that, I can try to help. 😗
👋 1
w

witty-crayon-22786

02/03/2022, 4:00 AM
thanks! kicked off CI for https://github.com/pantsbuild/pants-jupyter-plugin/pull/39: will check on it in the morning.
i think that this also needed a PEX version bump, since versions before ~2.1.58ish didn’t support 3.10. we’ll see
s

shy-advantage-49800

02/03/2022, 7:25 PM
u sure?
I mean, the title of that PR is "Upgrade to Pex 2.1.56 for Python 3.10 support" 🤔
w

witty-crayon-22786

02/03/2022, 7:25 PM
maybe it got cherry-picked back. but yea, you’re right.
regardless, had no impact.
i guess that looking at the actual stacktrace, it’s in
pytest
somewhere… so maybe a pytest upgrade then.
👍 1
progress: now failing somewhere else.
@shy-advantage-49800: do you have time to bang on it further?
s

shy-advantage-49800

02/04/2022, 5:18 PM
yes